#include "config.h"
#include "aboutdialog.h"

extern ControlAboutDialog aboutdialog; 
extern GtkWidget *topwindow;

#include "controlaboutdialog.cc"


AboutDialog::AboutDialog()
{

}


AboutDialog::~AboutDialog()
{

}


void
AboutDialog::show()
{
    const gchar *version=VERSION; 
    const gchar *package=PACKAGE; 
    const gchar *authors[] = {
	"Niclas Johansson",
	"Per Norn",
	"Mikael Nystrm",
	"Per-Magnus Olsson",
	"Johan Trygg",
	"Patrik Svensson",
	"Peter strand <altic@lysator.liu.se>",
	N_("Special thanks to: Per Cederqvist"),
	NULL
    };
    authors[7] = _("Special thanks to: Per Cederqvist");
    
    window = gnome_about_new (package, version,
			      "(C) 1999 Calcutta group",
			      authors,
			      _("Client for LysKOM."),
			      NULL);

    // FIXME: The about dialog should probably not be modal. 
    // See Gnome standards. 
    gtk_window_set_modal (GTK_WINDOW (window), TRUE); 
    gnome_dialog_set_parent(GNOME_DIALOG(window),GTK_WINDOW(topwindow));
    gtk_widget_show (window);
}








