#include "conferenceset.h"

extern ConferenceSet *conferenceSet;


ControlLogoutDialog::ControlLogoutDialog()
{
    guiObject = new LogoutDialog(this);
}


ControlLogoutDialog::~ControlLogoutDialog()
{
    delete guiObject; 
}


void
ControlLogoutDialog::show()
{
    if (guiObject->show() == 0) {
	// The user accepted logout
 	    
	// Set correct menu dim
	mainwin.dimForLoggedout();
	    
	// Remove conferences from the conference list
	mainwin.conferenceListClear();
	    
	// Logout
	comm.logout();

	// Delete all conferences
	delete conferenceSet;
	    
	// Clear statusbar
	mainwin.appbarStatus(_("Not connected to server."));
	    
    }
  
}








