
class ControlMainWindow
{

public:
    ControlMainWindow();
    ~ControlMainWindow();
    void show();

    // Dim menus
    void dimForLoggedin();
    void dimForLoggedout();

    // Conference list management
    void conferenceListAdd(GtkomConference aconf);
    void conferenceListDel(GtkomConference aconf);
    void conferenceListClear();
    void conferenceListSelect(unsigned int conf_id);
    void conferenceClicked(longstringpair apair);

    // Reading window
    void addToTextwindow(Article anarticle);
    void addStringToTextwindow(string text);
    void appbarStatus(string text);

    // Callbacks methods
    void nothing();

    void login();
    void logout();
    void exit();
    void join();
    void leave();
    void next_conference();
    void next_unread();
    void set_unread();
    void write_article();
    void write_reply();
    void about();
private:
    MainWindow *guiObject;
};


