
#include "conferenceset.h"
#include "conference.h"
#include "mainwindow.h"
#include "comm.h"


extern ConferenceSet *conferenceSet;
extern ControlMainWindow mainwin;
extern Comm comm;


ControlSetUnreadDialog::ControlSetUnreadDialog()
{
    guiObject = new SetUnreadDialog(this);
}


ControlSetUnreadDialog::~ControlSetUnreadDialog()
{
    delete guiObject;
}


void
ControlSetUnreadDialog::show()
{
    string namn = (conferenceSet->getActiveConference())->getName();
    guiObject->show(namn,comm.getNumberOfArticles());
}


void 
ControlSetUnreadDialog::setUnread(unsigned long int nr_unread)
{
    unsigned int conf_id = 
	(conferenceSet->getActiveConference())->getConferenceId();
  
    comm.setUnread(nr_unread);

    // Update statusbar

    conferenceSet->setActiveConference(0);
    comm.changeConference(0);
    conferenceSet->setActiveConference(conf_id);
    comm.changeConference(conf_id);


    longstringpair apair;
    apair.first = conf_id;
    mainwin.conferenceClicked(apair);

}

