#ifndef JOINDIALOG_H
#define JOINDIALOG_H

#include <iostream.h>
#include <gnome.h>
#include <string>
#include <vector>
#include <utility>
#include "common.h"


class JoinDialog;

#include "controljoindialog.h"

class JoinDialog
{

public:
    JoinDialog(ControlJoinDialog *creator); 
    ~JoinDialog(); 
    void show(); 
    void hide();
private:
    GtkWidget *hbox;
    GtkWidget *scroll_win;
    GtkWidget  *label;
    static GtkWidget *search1;
    GtkWidget *searchbutton;
    static GtkWidget *window;
    static GtkWidget *conf_list;
    static ControlJoinDialog* controlObject;
    static void ok_clicked(GtkWidget *widget,GdkEvent *event,gpointer data); 
    static void search_clicked(GtkWidget *widget,gpointer data); 
    static void selection_made(GtkWidget      *clist,
			       gint            row,
			       gint            column,
			       GdkEventButton *event,
			       gpointer        data );
    static long int selected_row;
};


#endif

