#include "config.h"
#include "logoutdialog.h"
#include "mainwindow.h"
#include "comm.h"

extern ControlMainWindow mainwin;
extern GtkWidget *topwindow;
extern Comm comm;

#include "controllogoutdialog.cc"

ControlLogoutDialog* LogoutDialog::controlObject;

LogoutDialog::LogoutDialog(ControlLogoutDialog *creator)
{
    LogoutDialog::controlObject = creator;
}

LogoutDialog::~LogoutDialog()
{

}


int
LogoutDialog::show()
{
    GtkWidget *dialog;
    int i;
    
    dialog = 
    	gnome_ok_cancel_dialog_parented(_("Are you sure you want to logout?"),
					NULL, NULL,
					GTK_WINDOW(topwindow));
    gnome_dialog_set_default(GNOME_DIALOG(dialog),0);
    // Returns 0 at OK, 1 at Cancel
    i = gnome_dialog_run(GNOME_DIALOG(dialog));

    return i;
}
