#include <config.h>
#include <gnome.h>

#include "mainwindow.h"
#include "errordialog.h"
#include "aboutdialog.h"
#include "main.h"
#include "exitdialog.h"



int main(int argc, char *argv[])
{
    gchar *accelfile;

    /* Accelerator functions behave very strange. After each run, a
       file ~/.gnome/accels/gtKOM is left behind. This gives the app
       wrong accelerators the next time it's started. Since there is
       no documentation on gtk_accel_*, I made dirty solution. */
    accelfile = g_strconcat (getenv("HOME"), "/.gnome/accels/gtKOM", NULL);
    unlink(accelfile);

    gtk_set_locale();
    bindtextdomain(PACKAGE, GNOMELOCALEDIR); 
    textdomain(PACKAGE);

    gnome_init(PACKAGE, VERSION, argc, argv);

    mainwin.show();

    mainwin.login();
    gtk_main();

    return 0;

}




