#include "article.h"
#include <locale.h>

Article::Article()
{
    sender.first = 0;
    sender.second = "";
    header = "";
    text = "";
    time.tm_sec = 0;
    time.tm_min = 0;
    time.tm_hour = 0;
    time.tm_mday = 0;
    time.tm_mon = 0;
    time.tm_year = 0;
    time.tm_wday = 0;
    time.tm_yday = 0;
    time.tm_isdst = 0;
    article_id = 0;
}


void
Article::setReciever(longstringpair reciever_in)
{
    reciever.push_back(reciever_in);
}


vector < longstringpair >
Article::getReciever()
{ 
    return reciever;
}


void
Article::setSender(longstringpair sender_in)
{
    sender = sender_in;
}


longstringpair
Article::getSender()
{
    return sender;
}


void
Article::setHeader(string header_in)
{
    header = header_in;
}


string
Article::getHeader()
{
    return header;
}


void
Article::setText(string text_in)
{
    text = text_in;
}


string
Article::getText()
{
    return text;
}


void
Article::setTime(struct std::tm time_in)
{
    time = time_in;
}


string
Article::getTimeString()
{
    setlocale(LC_TIME, NULL);
    char cstr[80];
    // %c is "The preferred date and time representation"
    // FIXME: Replace todays date with "today"
    strftime(cstr, 80, "%c", &time);
    return cstr;
}


struct std::tm
Article::getTime()
{
    return time;
}


void
Article::setArticleId(unsigned long int number)
{
    article_id = number;
}


unsigned long int
Article::getArticleId()
{
    return article_id;
}


void
Article::setCommentTo(longstringpair comment_to_in)
{
    comment_to.push_back(comment_to_in);
}


vector < longstringpair >
Article::getCommentTo()
{
    return comment_to;
}


void
Article::setCommentIn(longstringpair comment_in_in)
{
    comment_in.push_back(comment_in_in);
}


vector < longstringpair >
Article::getCommentIn()
{
    return comment_in;
}


void
Article::setFootnoteTo(longstringpair footnote_in)
{
    footnote_to.push_back(footnote_in);
}


vector < longstringpair >
Article::getFootnoteTo()
{
    return footnote_to;
}


void
Article::setFootnoteIn(longstringpair footnote_in_in)
{
    footnote_in.push_back(footnote_in_in);
}


vector < longstringpair >
Article::getFootnoteIn()
{
    return footnote_in;
}


void
Article::setFootnote(longstringpair footnote_in)
{
    setFootnoteTo(footnote_in);
}


vector < longstringpair >
Article::getFootnote()
{
    return getFootnoteTo();
}


longstringpair
Article::makePair(unsigned int number_in, string name_in)
{
    longstringpair temp(number_in, name_in);
    return temp;
}
