#ifndef ARTICLE_H
#define ARTICLE_H

#include <string>
#include <utility>
#include <vector>
#include <ctime>
#include "common.h"

class Article
{
public:
    Article();
    void setReciever(longstringpair reciever_in);
    vector < longstringpair > getReciever();
    void setSender(longstringpair sender);
    longstringpair getSender();
    void setHeader(string header);
    string getHeader();
    void setText(string text);
    string getText();

    void setTime(struct std::tm time);
    struct std::tm getTime();
    string getTimeString();

    void setArticleId(unsigned long int number);
    unsigned long int getArticleId();

    void setCommentTo(longstringpair comment_to_in);
    vector < longstringpair > getCommentTo();

    void setCommentIn(longstringpair comment_in_in);
    vector < longstringpair > getCommentIn();

    void setFootnoteTo(longstringpair footnote_in);  
    vector < longstringpair > getFootnoteTo();

    void setFootnoteIn(longstringpair comment_in_in);
    vector < longstringpair > getFootnoteIn();

    void setFootnote(longstringpair footnote_in);  
    vector < longstringpair > getFootnote();

    longstringpair makePair(unsigned int number_in, string name_in);

private:
    vector< longstringpair > reciever;
    longstringpair sender;
    string header;
    string text;
    struct std::tm time;
    unsigned long int article_id;
    vector < longstringpair > comment_in, comment_to, footnote_in, footnote_to;
};

#endif
