#ifndef CONFERENCESET_H
#define CONFERENCESET_H

#include <string>
#include <vector>
#include "conference.h"

class ConferenceSet
{
public:
  ConferenceSet();
  ~ConferenceSet();
  vector< GtkomConference * > getConferences();
  bool deleteConference(unsigned int conference_id);
  void addConference(GtkomConference *conference_in);
  GtkomConference * getActiveConference();
  bool setActiveConference(unsigned int conference_id);
  unsigned int getNumberOfConferences();
  GtkomConference * setNextConference();
private:
  vector< GtkomConference * > conferences;
  GtkomConference *active_conference;
};

#endif

