#include "errordialog.h"

extern ControlErrorDialog minfelruta;
extern GtkWidget *topwindow;


#include "controlerrordialog.cc"

ControlErrorDialog* ErrorDialog::controlObject;


ErrorDialog::ErrorDialog(ControlErrorDialog *creator)
{
    ErrorDialog::controlObject = creator;
}


ErrorDialog::~ErrorDialog()
{

}


void
ErrorDialog::show(string error_string)
{
    GtkWidget* dialog;
    int ret;
    
    dialog = gnome_message_box_new (
				    error_string.c_str(),
				    GNOME_MESSAGE_BOX_ERROR,
				    GNOME_STOCK_BUTTON_OK,
				    NULL);

    gnome_dialog_set_parent(GNOME_DIALOG (dialog), GTK_WINDOW(topwindow));
    ret = gnome_dialog_run (GNOME_DIALOG (dialog));
}


