#include "config.h"
#include "exitdialog.h"
#include "mainwindow.h"
#include "comm.h"

extern ControlMainWindow mainwin;
extern GtkWidget *topwindow;
extern Comm comm;

#include "controlexitdialog.cc"

ControlExitDialog* ExitDialog::controlObject;


ExitDialog::ExitDialog(ControlExitDialog *creator)
{
    ExitDialog::controlObject = creator;
}


ExitDialog::~ExitDialog()
{

}


int
ExitDialog::show()
{
    GtkWidget *dialog;
    int i;
    
    dialog = 
    	gnome_ok_cancel_dialog_parented(_("Are you sure you want to exit gtKOM?"),
					NULL, NULL,
					GTK_WINDOW(topwindow));
    // OK should be default
    gnome_dialog_set_default(GNOME_DIALOG(dialog),0);
    // Returns 0 at OK, 1 at Cancel
    i = gnome_dialog_run(GNOME_DIALOG(dialog));

    return i;
}


void
ExitDialog::exit()
{
    gtk_main_quit();
}












