#ifndef LEAVEDIALOG_H
#define LEAVEDIALOG_H

#include <iostream.h>
#include <gnome.h>
#include <string>
#include <vector>
#include <utility>
#include <errordialog.h>
#include "common.h"

class LeaveDialog;

#include "controlleavedialog.h"


class LeaveDialog
{
public:
    LeaveDialog(ControlLeaveDialog *creator); 
    ~LeaveDialog(); 
    void show(vector < longstringpair > conference_list); 
    void hide();
private:
    GtkWidget *scroll_win;
    GtkWidget  *label;
    static GtkWidget *window;
    static GtkWidget *conf_list;
    static ControlLeaveDialog* controlObject;
    static void ok_clicked(GtkWidget *widget,GdkEvent *event,gpointer data); 
    static void selection_made(GtkWidget      *clist,
			       gint            row,
			     gint            column,
			       GdkEventButton *event,
			       gpointer        data );
    static long int selected_row;    
};


#endif









