#include "config.h"
#include "setunreaddialog.h"
#include "mainwindow.h"
#include "comm.h"


extern GtkWidget *topwindow;
extern Comm comm;



#include "controlsetunreaddialog.cc"

ControlSetUnreadDialog* SetUnreadDialog::controlObject=0;
GtkWidget* SetUnreadDialog::window=NULL;
GtkWidget* SetUnreadDialog::input1=NULL;


SetUnreadDialog::SetUnreadDialog(ControlSetUnreadDialog *creator)
{
    controlObject = creator;
}


SetUnreadDialog::~SetUnreadDialog()
{

}


void
SetUnreadDialog::ok_clicked(GtkWidget *widget,GdkEvent *event,gpointer data)
{
    gtk_spin_button_update(GTK_SPIN_BUTTON(input1));
    controlObject->setUnread
	((unsigned long) 
	 gtk_spin_button_get_value_as_int(GTK_SPIN_BUTTON(input1)));	       
}


void
SetUnreadDialog::show(string conference_name, unsigned long int max_number)
{
    conference_name = _("Number of unread articles in\n") + conference_name;
    
    // (value,lower,upper,step_inc,page_inc,page_size)
    adj=(GtkAdjustment *) gtk_adjustment_new(0,0,max_number,1,15,0);
  
    window = gnome_dialog_new(
			      _("Set number of unread"),
			      GNOME_STOCK_BUTTON_OK,
			      GNOME_STOCK_BUTTON_CANCEL,
			      NULL);
    gtk_window_set_modal(GTK_WINDOW(window),TRUE);
  
    table = gtk_table_new(2,4,TRUE);
    gtk_table_set_col_spacings(GTK_TABLE(table),4);
    gtk_table_set_row_spacings (GTK_TABLE(table),4);
    gtk_box_pack_start (GTK_BOX (GNOME_DIALOG (window)->vbox),
			table, TRUE, FALSE, 0);
    gtk_widget_show(table);
  
    label = gtk_label_new ((gchar *) conference_name.c_str());
  
    gtk_table_attach_defaults(GTK_TABLE(table),label,0,3,0,1);
    gtk_widget_show(label);
  
  
    string label_string="foo"; 
    char tmp[80]; 
    sprintf(tmp, "%lu", max_number); 
    label_string = string(_("Total number of articles in this conference: ")+string(tmp));
  
    label_nr_messages=gtk_label_new((gchar *) label_string.c_str());
    gtk_table_attach_defaults(GTK_TABLE(table),label_nr_messages,0,4,1,2);
    gtk_widget_show(label_nr_messages);
  

    input1=gtk_spin_button_new(adj,0,0);
  
    gtk_table_attach_defaults(GTK_TABLE(table),input1,3,4,0,1);
    gtk_spin_button_set_numeric(GTK_SPIN_BUTTON(input1),TRUE);
    gtk_spin_button_set_snap_to_ticks (GTK_SPIN_BUTTON(input1),TRUE);
    gtk_spin_button_configure (GTK_SPIN_BUTTON(input1),adj,12,0);
    gtk_spin_button_set_wrap (GTK_SPIN_BUTTON(input1),FALSE);

    gtk_widget_show(input1);
    
    gnome_dialog_editable_enters(GNOME_DIALOG(window),GTK_EDITABLE(input1));
    gtk_spin_button_set_update_policy(GTK_SPIN_BUTTON(input1),GTK_UPDATE_ALWAYS);

    gtk_widget_grab_focus(GTK_WIDGET(input1));
    // OK button as default
    gnome_dialog_set_default (GNOME_DIALOG(window),0);

    // Connect OK
    gnome_dialog_button_connect
	(GNOME_DIALOG( window),0,
	 GTK_SIGNAL_FUNC(SetUnreadDialog::ok_clicked)
	 ,NULL); 
  
    // Connect destroy
    gnome_dialog_button_connect_object
	(GNOME_DIALOG(window),0,
	 GTK_SIGNAL_FUNC(gtk_widget_destroy),
	 GTK_OBJECT(window));
  
    // Connect destroy
    gnome_dialog_button_connect_object
	(GNOME_DIALOG(window),1,
	 GTK_SIGNAL_FUNC(gtk_widget_destroy),
	 GTK_OBJECT(window));
  
    gnome_dialog_set_parent(GNOME_DIALOG(window),GTK_WINDOW(topwindow));
  

    gtk_widget_show(window);
}








